# coding: utf-8
# frozen_string_literal: true
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'steam/csgo/version'

Gem::Specification.new do |spec|
  spec.name          = 'steam-csgo'
  spec.version       = Steam::Csgo::VERSION
  spec.authors       = ['Taylor Finnell']
  spec.email         = ['tmfinnell@gmail.com']

  spec.summary       = 'Plugin for fastpeek/steam to provide CSGO specific apis'
  spec.description   = 'Plugin for fastpeek/steam to provide CSGO specific apis'
  spec.homepage      = 'http://github.com/fastpeek/steam-csgo'
  spec.licenses      = ['MIT']
  spec.required_ruby_version = '>= 2.3.1'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'steam', '~> 0.1'
end
